Package gov.nasa.gsfc.sscweb.schema

# Class RegionFilterOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.RegionFilterOptions

public class RegionFilterOptions extends Object
Data request region filter options. <p>Java class for RegionFilterOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="RegionFilterOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="SpaceRegions" type="{http://sscweb.gsfc.nasa.gov/schema}SpaceRegionsFilterOptions"/> <element name="RadialTraceRegions" type="{http://sscweb.gsfc.nasa.gov/schema}MappedRegionFilterOptions"/> <element name="MagneticTraceRegions" type="{http://sscweb.gsfc.nasa.gov/schema}MappedRegionFilterOptions"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MappedRegionFilterOptions`
  `magneticTraceRegions`
  Specifies the magnetic trace region filter options.
  `protected MappedRegionFilterOptions`
  `radialTraceRegions`
  Specifies the radial trace region filter options.
  `protected SpaceRegionsFilterOptions`
  `spaceRegions`
  Specifies the space region filter options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionFilterOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MappedRegionFilterOptions`
  `getMagneticTraceRegions()`
  Specifies the magnetic trace region filter options.
  `MappedRegionFilterOptions`
  `getRadialTraceRegions()`
  Specifies the radial trace region filter options.
  `SpaceRegionsFilterOptions`
  `getSpaceRegions()`
  Specifies the space region filter options.
  `void`
  `setMagneticTraceRegions(MappedRegionFilterOptions value)`
  Sets the value of the magneticTraceRegions property.
  `void`
  `setRadialTraceRegions(MappedRegionFilterOptions value)`
  Sets the value of the radialTraceRegions property.
  `void`
  `setSpaceRegions(SpaceRegionsFilterOptions value)`
  Sets the value of the spaceRegions property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### spaceRegions

    protected SpaceRegionsFilterOptions spaceRegions
    Specifies the space region filter options.

  - ### radialTraceRegions

    protected MappedRegionFilterOptions radialTraceRegions
    Specifies the radial trace region filter options.

  - ### magneticTraceRegions

    protected MappedRegionFilterOptions magneticTraceRegions
    Specifies the magnetic trace region filter options.

- ## Constructor Details

  - ### RegionFilterOptions

    public RegionFilterOptions()

- ## Method Details

  - ### getSpaceRegions

    public SpaceRegionsFilterOptions getSpaceRegions()
    Specifies the space region filter options.
    Returns:
      possible object is `SpaceRegionsFilterOptions`

  - ### setSpaceRegions

    public void setSpaceRegions(SpaceRegionsFilterOptions value)
    Sets the value of the spaceRegions property.
    Parameters:
      `value` - allowed object is `SpaceRegionsFilterOptions`
    See Also:
      - `getSpaceRegions()`

  - ### getRadialTraceRegions

    public MappedRegionFilterOptions getRadialTraceRegions()
    Specifies the radial trace region filter options.
    Returns:
      possible object is `MappedRegionFilterOptions`

  - ### setRadialTraceRegions

    public void setRadialTraceRegions(MappedRegionFilterOptions value)
    Sets the value of the radialTraceRegions property.
    Parameters:
      `value` - allowed object is `MappedRegionFilterOptions`
    See Also:
      - `getRadialTraceRegions()`

  - ### getMagneticTraceRegions

    public MappedRegionFilterOptions getMagneticTraceRegions()
    Specifies the magnetic trace region filter options.
    Returns:
      possible object is `MappedRegionFilterOptions`

  - ### setMagneticTraceRegions

    public void setMagneticTraceRegions(MappedRegionFilterOptions value)
    Sets the value of the magneticTraceRegions property.
    Parameters:
      `value` - allowed object is `MappedRegionFilterOptions`
    See Also:
      - `getMagneticTraceRegions()`